Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Types | Private Attributes | List of all members
osmium::metadata_options Class Reference

`#include <metadata_options.hpp>`

## Public Member Functions
| metadata_options () noexcept=default
| metadata_options (const std::string &attributes)
bool | any () const noexcept
| At least one metadata attribute should be stored.
bool | all () const noexcept
| All metadata attributes should be stored.
bool | none () const noexcept
| No metadata attributes should be stored.
bool | version () const noexcept
void | set_version (bool flag) noexcept
bool | timestamp () const noexcept
void | set_timestamp (bool flag) noexcept
bool | changeset () const noexcept
void | set_changeset (bool flag) noexcept
bool | uid () const noexcept
void | set_uid (bool flag) noexcept
bool | user () const noexcept
void | set_user (bool flag) noexcept
metadata_options | operator&= (const metadata_options &other)
metadata_options | operator|= (const metadata_options &other)
std::string | to_string () const

## Private Types
enum | options : unsigned int { md_none = 0x00 , md_version = 0x01 , md_timestamp = 0x02 , md_changeset = 0x04 , md_uid = 0x08 , md_user = 0x10 , md_all = 0x1f }

## Private Attributes
enum osmium::metadata_options::options | m_options = md_all

## Detailed Description

Describes which metadata fields are available in an OSMObject. This is most often used to describe which metadata fields are available in the objects of an OSM file or which metadata information should be written to an OSM file.

## Member Enumeration Documentation

## ◆ options

enum osmium::metadata_options::options : unsigned int
| private

Enumerator
md_none |
md_version |
md_timestamp |
md_changeset |
md_uid |
md_user |
md_all |

## Constructor & Destructor Documentation

## ◆ metadata_options() [1/2]

osmium::metadata_options::metadata_options | ( |  | ) |
| default noexcept

## ◆ metadata_options() [2/2]

osmium::metadata_options::metadata_options | ( | const std::string & | attributes | ) |
| inline explicit

## Member Function Documentation

## ◆ all()

bool osmium::metadata_options::all | ( |  | ) | const
| inline noexcept

All metadata attributes should be stored.

## ◆ any()

bool osmium::metadata_options::any | ( |  | ) | const
| inline noexcept

At least one metadata attribute should be stored.

## ◆ changeset()

bool osmium::metadata_options::changeset | ( |  | ) | const
| inline noexcept

## ◆ none()

bool osmium::metadata_options::none | ( |  | ) | const
| inline noexcept

No metadata attributes should be stored.

## ◆ operator&=()

metadata_options osmium::metadata_options::operator&= | ( | const metadata_options & | other | ) |
| inline

## ◆ operator|=()

metadata_options osmium::metadata_options::operator|= | ( | const metadata_options & | other | ) |
| inline

## ◆ set_changeset()

void osmium::metadata_options::set_changeset | ( | bool | flag | ) |
| inline noexcept

## ◆ set_timestamp()

void osmium::metadata_options::set_timestamp | ( | bool | flag | ) |
| inline noexcept

## ◆ set_uid()

void osmium::metadata_options::set_uid | ( | bool | flag | ) |
| inline noexcept

## ◆ set_user()

void osmium::metadata_options::set_user | ( | bool | flag | ) |
| inline noexcept

## ◆ set_version()

void osmium::metadata_options::set_version | ( | bool | flag | ) |
| inline noexcept

## ◆ timestamp()

bool osmium::metadata_options::timestamp | ( |  | ) | const
| inline noexcept

## ◆ to_string()

std::string osmium::metadata_options::to_string | ( |  | ) | const
| inline

## ◆ uid()

bool osmium::metadata_options::uid | ( |  | ) | const
| inline noexcept

## ◆ user()

bool osmium::metadata_options::user | ( |  | ) | const
| inline noexcept

## ◆ version()

bool osmium::metadata_options::version | ( |  | ) | const
| inline noexcept

## Member Data Documentation

## ◆ m_options

enum osmium::metadata_options::options osmium::metadata_options::m_options = md_all
| private

The documentation for this class was generated from the following file:

- include/osmium/osm/metadata_options.hpp